Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.testing
Class PastRegrTest.TestPastContent

    java.lang.Object
      rice.p2p.past.testing.PastRegrTest.TestPastContent

All Implemented Interfaces:
  PastContent, java.io.Serializable

Direct Known Subclasses:
  PastRegrTest.NonMutableTestPastContent, PastRegrTest.VersionedTestPastContent

Enclosing class:
  PastRegrTest

protected static class PastRegrTest.TestPastContent
extends java.lang.Object
implements PastContent

Utility class for past content objects

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh
See Also:
  Serialized Form

Field Summary
`protected PastContent` | `existing` DESCRIBE THE FIELD
`protected Id` | `id` DESCRIBE THE FIELD

Constructor Summary
`PastRegrTest.TestPastContent(Id id)` Constructor for TestPastContent.

Method Summary
`PastContent` | `checkInsert(Id id, PastContent existingContent)` DESCRIBE THE METHOD
`boolean` | `equals(java.lang.Object o)` DESCRIBE THE METHOD
`PastContentHandle` | `getHandle(Past past)` Gets the Handle attribute of the TestPastContent object
`Id` | `getId()` Gets the Id attribute of the TestPastContent object
`boolean` | `isMutable()` Gets the Mutable attribute of the TestPastContent object
`java.lang.String` | `toString()` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected Id id

  DESCRIBE THE FIELD

### existing

    protected PastContent existing

  DESCRIBE THE FIELD

Constructor Detail

### PastRegrTest.TestPastContent

    public PastRegrTest.TestPastContent(Id id)

  Constructor for TestPastContent.

Parameters:
  `id` - DESCRIBE THE PARAMETER

Method Detail

### getHandle

    public PastContentHandle getHandle(Past past)

  Gets the Handle attribute of the TestPastContent object

  Specified by:
    `getHandle` in interface `PastContent`
  Parameters:
    `past` - DESCRIBE THE PARAMETER
  Returns:
    The Handle value

### getId

    public Id getId()

  Gets the Id attribute of the TestPastContent object

  Specified by:
    `getId` in interface `PastContent`
  Returns:
    The Id value

### isMutable

    public boolean isMutable()

  Gets the Mutable attribute of the TestPastContent object

  Specified by:
    `isMutable` in interface `PastContent`
  Returns:
    The Mutable value

### checkInsert

    public PastContent checkInsert(Id id,
                                   PastContent existingContent)
                            throws PastException

  DESCRIBE THE METHOD

  Specified by:
    `checkInsert` in interface `PastContent`
  Parameters:
    `id` - DESCRIBE THE PARAMETER
    `existingContent` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE
  Throws:
    `PastException` - DESCRIBE THE EXCEPTION

### equals

    public boolean equals(java.lang.Object o)

  DESCRIBE THE METHOD

  Parameters:
    `o` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.